#######################################################################
##### Part of the VortexGE Configuration Script                   #####
##### Copyright (C) 2004-2006 Aloysius Indrayanto                 #####
##### GNU Lesser General Public License                           #####
##### ----------------------------------------------------------- #####
##### EDITING THIS FILE ERRONEOUSLY MAY CAUSE THIS SCRIPT TO FAIL #####
##### ----------------------------------------------------------- #####
##### This program is distributed WITHOUT ANY WARRANTY.           #####
##### See the GNU Lesser General Public License for more details. #####
#######################################################################

#######################################################################
##### Functions for Checking Image Libraries
#######################################################################

##### Find where the libpng folders are located in the system
FindLibpng()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/png.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/libpng12/png.h ]]; then
      export $1=$__Loc__/libpng12/
      break;
    elif [[ -e $__Loc__/libpng/png.h ]]; then
      export $1=$__Loc__/libpng/
      break;
    elif [[ -e $__Loc__/png/png.h ]]; then
      export $1=$__Loc__/png/
      break;
    fi
  done

  for __Loc__ in $USRLibLoc $STDLibLoc; do
    if [[ -e $__Loc__/libpng.so ]]; then
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/libpng12/libpng.so ]]; then
      export $2=$__Loc__/libpng12/
      break;
    elif [[ -e $__Loc__/libpng/libpng.so ]]; then
      export $2=$__Loc__/libpng/
      break;
    elif [[ -e $__Loc__/png/libpng.so ]]; then
      export $2=$__Loc__/png/
      break;
    fi
  done
}

##### Find where the libjpeg folders are located in the system
FindLibjpeg()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/jpeglib.h ]] && [[ -e $__Loc__/jerror.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/libjpeg/jpeglib.h ]] && [[ -e $__Loc__/libjpeg/jerror.h ]]; then
      export $1=$__Loc__/libjpeg/
      break;
    elif [[ -e $__Loc__/jpeg/jpeglib.h ]] && [[ -e $__Loc__/jpeg/jerror.h ]]; then
      export $1=$__Loc__/jpeg/
      break;
    fi
  done

  for __Loc__ in $USRLibLoc $STDLibLoc; do
    if [[ -e $__Loc__/libjpeg.so ]]; then
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/libjpeg/libjpeg.so ]]; then
      export $2=$__Loc__/libjpeg/
      break;
    elif [[ -e $__Loc__/jpeg/libjpeg.so ]]; then
      export $2=$__Loc__/jpeg/
      break;
    fi
  done
}

##### Find where the libtiff folders are located in the system
FindLibtiff()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/tiffio.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/libtiff/tiffio.h ]]; then
      export $1=$__Loc__/libtiff/
      break;
    elif [[ -e $__Loc__/tiff/tiffio.h ]]; then
      export $1=$__Loc__/tiff/
      break;
    fi
  done

  for __Loc__ in $USRLibLoc $STDLibLoc; do
    if [[ -e $__Loc__/libtiff.so ]]; then
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/libtiff/libtiff.so ]]; then
      export $2=$__Loc__/libtiff/
      break;
    elif [[ -e $__Loc__/tiff/libtiff.so ]]; then
      export $2=$__Loc__/tiff/
      break;
    fi
  done
}

##### Find where the libungif folders are located in the system
FindLibungif()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/gif_lib.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/lib_ungif/gif_lib.h ]]; then
      export $1=$__Loc__/lib_ungif/
      break;
    elif [[ -e $__Loc__/libungif/gif_lib.h ]]; then
      export $1=$__Loc__/libungif/
      break;
    elif [[ -e $__Loc__/ungif/gif_lib.h ]]; then
      export $1=$__Loc__/ungif/
      break;
    elif [[ -e $__Loc__/gif_lib/gif_lib.h ]]; then
      export $1=$__Loc__/gif_lib/
      break;
    elif [[ -e $__Loc__/giflib/gif_lib.h ]]; then
      export $1=$__Loc__/giflib/
      break;
    elif [[ -e $__Loc__/gif/gif_lib.h ]]; then
      export $1=$__Loc__/gif/
      break;
    fi
  done

  for __Loc__ in $USRLibLoc $STDLibLoc; do
    ##### Check for libungif.so
    if [[ -e $__Loc__/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/lib_ungif/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/lib_ungif/
      break;
    elif [[ -e $__Loc__/libungif/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/libungif/
      break;
    elif [[ -e $__Loc__/ungif/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/ungif/
      break;
    elif [[ -e $__Loc__/gif_lib/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/gif_lib/
      break;
    elif [[ -e $__Loc__/giflib/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/giflib/
      break;
    elif [[ -e $__Loc__/gif/libungif.so ]]; then
      GifLibUse='-lungif'
      export $2=$__Loc__/gif/
      break;
    ##### Check for libgif.so
    elif [[ -e $__Loc__/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/lib_ungif/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/lib_ungif/
      break;
    elif [[ -e $__Loc__/libungif/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/libungif/
      break;
    elif [[ -e $__Loc__/ungif/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/ungif/
      break;
    elif [[ -e $__Loc__/gif_lib/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/gif_lib/
      break;
    elif [[ -e $__Loc__/giflib/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/giflib/
      break;
    elif [[ -e $__Loc__/gif/libgif.so ]]; then
      GifLibUse='-lgif'
      export $2=$__Loc__/gif/
      break;
    fi
  done
}
