// ############################################################################################
//  SimpleMQServer.cc
//  A demo application for VortexGE
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// VortexGE headers
#include <VMain.h>


// Main program
int main()
{
  // Initialization
  VClrScr();
  VEnableGetChar(true);
  VEnableDebugPrint(true);

  CMQServer csServer("DEMO MQ SERVER");
  char      cKey;

  // Server loop
  VPrint("Server is running, press 'x' to exit ...\n");
  for(;;) {
    cKey = VGetChar();
    if((cKey == 'x') || (cKey == 'X')) break;

    csServer.Pool();
    usleep(100000);
  }

  // Shut down server
  VEnableGetChar(false);
  csServer.ShutDown(true);
  return(0);
}
