// ############################################################################################
//  Point3D.cc
//  Implementation of helper functions used by CPoint3D class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  Some of the source codes in this file were written based on the book :
//    Cutting-Edge 3D Game Programming with C++
//    John De Goes
//    Coriolis Group, Inc.
//    USA, 1996
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// VortexGE headers
#include "Point3D.h"


namespace vge {

bool UniqueVert(const CPoint3D &csVPoint3D, const CPoint3D *pcsList, uint32_t un32Range)
{
  for(size_t i = 0; i < un32Range; ++i)
    if(csVPoint3D == pcsList[i]) return(false);
  return(true);
}

uint32_t GetVertIndex(const CPoint3D &csVPoint3D, const CPoint3D *pcsList, uint32_t un32Range)
{
  for(size_t i = 0; i < un32Range; ++i)
    if(csVPoint3D == pcsList[i]) return(i);
  return(0);
}

} // namespace vge
