/**
 * \file VX11Icon.h
 * \internal
 */
// ############################################################################################
//  VX11Icon.h
//  Definition of default icons used by X Window system (Xlib) CVideoEnv class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// NOTE: This file is meant to be included from within the
//       X11 video system implementation


#ifndef _VIDEO_ENVIRONMENT___VID_X11___VX11_ICON_H_
#define _VIDEO_ENVIRONMENT___VID_X11___VX11_ICON_H_


namespace vge {

  //
  // Default window icon
  //
  static const char *_vgeIcon_xpm_[] = {
    "32 32 128 2",
    "  	c None",
    ". 	c #020400",
    "+ 	c #06060A",
    "@ 	c #0E1125",
    "# 	c #111520",
    "$ 	c #081D0E",
    "% 	c #141832",
    "& 	c #181A1D",
    "* 	c #16163A",
    "= 	c #1D1F1C",
    "- 	c #072F26",
    "; 	c #212229",
    "> 	c #262626",
    ", 	c #202058",
    "' 	c #0F371A",
    ") 	c #222452",
    "! 	c #212C3E",
    "~ 	c #0F3738",
    "{ 	c #292D4B",
    "] 	c #123E3A",
    "^ 	c #272C64",
    "/ 	c #2F3134",
    "( 	c #2F3139",
    "_ 	c #282D70",
    ": 	c #2A335F",
    "< 	c #2A3183",
    "[ 	c #353659",
    "} 	c #184752",
    "| 	c #353951",
    "1 	c #373B48",
    "2 	c #3D3E41",
    "3 	c #105A26",
    "4 	c #383B76",
    "5 	c #41414A",
    "6 	c #363F76",
    "7 	c #38416D",
    "8 	c #363F7E",
    "9 	c #1B5A3F",
    "0 	c #414260",
    "a 	c #3B408B",
    "b 	c #254E83",
    "c 	c #245852",
    "d 	c #3B43A0",
    "e 	c #4A4C49",
    "f 	c #49495D",
    "g 	c #36566F",
    "h 	c #137825",
    "i 	c #187731",
    "j 	c #316C3D",
    "k 	c #206D70",
    "l 	c #555864",
    "m 	c #35629A",
    "n 	c #5B5B5B",
    "o 	c #4554CB",
    "p 	c #436671",
    "q 	c #545B84",
    "r 	c #1E882B",
    "s 	c #525A96",
    "t 	c #3E56E7",
    "u 	c #4A5AB2",
    "v 	c #4E58BB",
    "w 	c #5D5D7D",
    "x 	c #1B8752",
    "y 	c #0F9043",
    "z 	c #476A8B",
    "A 	c #5B5FA6",
    "B 	c #69677A",
    "C 	c #2C8970",
    "D 	c #229E38",
    "E 	c #3680B4",
    "F 	c #546DDC",
    "G 	c #51836F",
    "H 	c #4285A1",
    "I 	c #717480",
    "J 	c #29A450",
    "K 	c #4E82A6",
    "L 	c #567BC0",
    "M 	c #6877AA",
    "N 	c #6E73B5",
    "O 	c #5971FE",
    "P 	c #5F71F0",
    "Q 	c #32A268",
    "R 	c #429970",
    "S 	c #65809A",
    "T 	c #70807E",
    "U 	c #6B78D8",
    "V 	c #7C7C9D",
    "W 	c #7E8091",
    "X 	c #4F95BD",
    "Y 	c #2DBB51",
    "Z 	c #4EA48E",
    "` 	c #3BB961",
    " .	c #50B166",
    "..	c #4D9ED5",
    "+.	c #8989AE",
    "@.	c #7585FF",
    "#.	c #798DD1",
    "$.	c #6E9E99",
    "%.	c #48B594",
    "&.	c #90928F",
    "*.	c #61A4B8",
    "=.	c #849B9F",
    "-.	c #5CB77B",
    ";.	c #7C91FA",
    ">.	c #9197AA",
    ",.	c #8690FF",
    "'.	c #9399D1",
    ").	c #9C9BC6",
    "!.	c #6EAEDE",
    "~.	c #889EF4",
    "{.	c #5FB7E2",
    "].	c #65C982",
    "^.	c #77B8D5",
    "/.	c #90AAF1",
    "(.	c #76CC96",
    "_.	c #7DC7B3",
    ":.	c #A8ACCF",
    "<.	c #86C3B4",
    "[.	c #A7B8B1",
    "}.	c #9DB6EE",
    "|.	c #B6B8C9",
    "1.	c #7CD1F5",
    "2.	c #9DC9DD",
    "3.	c #A9CBB4",
    "4.	c #9ED5B2",
    "5.	c #AECDCA",
    "6.	c #C6C8E8",
    "7.	c #D3DAEB",
    "                          ; = > > = > >                         ",
    "                  # # ! 1 1 | 1 5 2 2 ( > > =                   ",
    "              & # @ * [ * @ # ; { 0 { { | | 2 / =               ",
    "            & # % ^ , % @ * ^ 4 4 4 4 a a s w 5 ( >             ",
    "          # # @ _ ) % * , ) * ) 4 a u d 8 : [ [ | 2 >           ",
    "        # @ % 8 6 [ _ ) % * ^ d v u u u 8 % & + ; 1 2 >         ",
    "      > ( | w M s 8 4 ^ a 4 : [ 0 0 0 | ) _ ) ! / l l e >       ",
    "      / n V +.).'.N N U F 8 | f N N A a a % 7 q B &.>.n 2 =     ",
    "    > e I +.).).}./.}.~.o 4 7 B N ~.,.@.v 8 s #.'.>.|.&.n /     ",
    "    2 n W +.=.R J }.~.@.u c R N q G ,.H y J ` (.4.4.3.&.I e /   ",
    "  = e B I Q D J z ~.;.,.#.J C s 6 A ;.%.Y ` >.6.|.3.3.[.&.n /   ",
    "  > l l j h y z 4 U ,.,./.R 9 , : F A i Y ].).6.6.7.4.4.=.n /   ",
    "  ( w c 3 h x w s A U ;.~.*.9 * a ;.H J Y ].).6.6.6.[.].$.1 > ; ",
    "  2 p i r Y R q M N U ;.;.~.} , F F k J ` ` ).:.4.:.).%.H % + . ",
    "> e G D Y ` G A A A A @.;.@.^ 8 F u z J %.Z '.|.(.V N A d % + + ",
    "> e &. .Y ` z A a v a v P P d m 1.{.{.-.%.1.2._. .5 [ _ < * @ + ",
    "> e T  .Y ` L v ^ u | m O O t t !.1...Q y *.^.J r & * < < * ) # ",
    "> e T  .r J s d ^ : 9 k ;.@.O O A {.{.H k ..a c 3 @ @ b a * { > ",
    "  2 p y i ` ] [ a [ 6 m *.~.@.P d L {...!.} a _ ' _ @ x } * ) # ",
    "  / [ x y ` 9 | s N m M %./.~.U o u ..{.X ~ , , } < @ x ] , % % ",
    "  & # g Q ` r T M '.#.<.Q !.}.'.o d E ....z , , o _ $ 3 ! , +   ",
    "  . + ! S (.Y -.&.$.*._.Z (.<.).'...K K ..E b b b # $ $ ! @ +   ",
    "    > 2 B >.=.-.<. .G M +.5.5.:.6.5.c } E {...C ' + + - ~ + +   ",
    "    > e I W W w N u s w +.6.7.7.7.2.K u {.^.{.m + + * * + .     ",
    "      / n l e 2 6 4 [ M >.:.6.7.|.=.=.S z b p } & * , + + .     ",
    "      = ( > ; + @ _ { f +.:.6.6.6.>.>.W W f | f 6 { + . +       ",
    "        + + . . + * _ 8 N +.:.:.|.|.|.>.>.>.V w | + . .         ",
    "          . + . . + , a A N ).:.|.|.|.|.>.V B 5 > # +           ",
    "            + + + + # _ a A M V &.>.W I I n 2 / & &             ",
    "              # # # # [ 7 q z S B I l l e 5 2 > =               ",
    "                  ; & / e e e e n e e 2 2 = >                   ",
    "                          ; ; ; > > > >                         "
  };

} // namespace vge
#endif
