// ############################################################################################
//  roomedit-DlgPages-QRP.h
//  Definition of roomedit's CPage_QRP class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _UTIL___ROOMEDIT_DLGPAGES_QRP_H_
#define _UTIL___ROOMEDIT_DLGPAGES_QRP_H_

// VortexGE headers
#include <VMain.h>


// Foward reference of the application class
class CRoomEdit;

// Foward reference of the dialog main page
class CPage_Main;


//
// Our dialog page: Help Page
//
class CPage_QRP : public CDialogPage {
  public:
    typedef void(CPage_Main::*PFNToInvoke)(const TFloatXYZ &gridSize);

  public:
    CPage_QRP(CPage_Main &mainPage);
    virtual ~CPage_QRP() throw();

    // Controls' event handlers
    void _onLstTopic(_CControl *ctrl, bool doubleClick);
    void _onBtnDone(_CControl *ctrl);

    // Reimplemented from CDialogPage
    virtual void InitializeAllControls();

    // Reimplemented from CDialogPage
    virtual void HandleEvent_OnKeyPress(EKeySymbol keySymbol, const char *str);

  protected:
    // Main data
    CRoomEdit  &_app;
    CPage_Main &_mPage;
    // Controls
    CPanelBar   pbrMain;
    CHLayout    hlyMain;
    CLabel      lblTopic;
    CListBox    lstTopic;
    CLabel      lblHelp;
    CMLTextBox  txtHelp;
    CButton     btnDone;
};

#endif
